﻿@model HOD.Models.UserConversationModel
@using HOD.Models
@{
    ViewBag.Title = "User Conversation";
    Layout = "~/Views/Shared/_SecuredPagesLayout.cshtml";
}


<div class="panel panel-default" style="padding: 4px;">
    <div class="panel-heading">
        <h3 class="panel-title">Conversation</h3>
    </div>

    <div class="panel-body" style="background-color: #ffffff">

        <div style="overflow: hidden;">
            <div class="pull-left">
                <h3>Subject:  @Model.Subject</h3>
            </div>
        </div>
        @if (Model.Messages != null && Model.Messages.Count > 0)
        {
            int count = 0;
            foreach(PrivateMessageModel  message in Model.Messages)
            {
                if (message.ToUser == WebSecurity.CurrentUserId)
                {
                    <div style="overflow: hidden;" class="">
                        <blockquote class="pull-right">
                            <p>
                                "@message.Body"
                            </p>
                            <p class="pull-right">
                                <small>@message.MesssageTypeName Sent by: @message.FromUser on @message.MessageDate</small>
                            </p>
                        </blockquote>
                    </div>
                }
                else
                {
                    <div style="overflow: hidden;" class="owner-message-line">
                        <blockquote class="pull-left">
                            <p>
                                "@message.Body"
                            </p>
                            <p class="pull-left">
                                <small>@message.MesssageTypeName Sent by: @message.FromUser on @message.MessageDate</small>
                            </p>
                        </blockquote>
                    </div>
                }
                
                
            }
        }

        @using (Html.BeginForm("Reply", "UserMessages", Model, FormMethod.Post, new { @class = "form-horizontal", @role = "form", enctype = "multipart/form-data" }))
        {
            @Html.AntiForgeryToken()
            
            <div>
                <div class="form-group">
                    @Html.ValidationMessageFor(m => m.ReplyBody)
                    @Html.TextAreaFor(m => m.ReplyBody, new { @Class = "form-control", @placeholder = "Reply", id = "message", @maxlength = "200" })
                    <div class="col-sm-4">
                    </div>
                </div>
                @Html.ActionLink("Back to Messages", "Conversations", "UserMessages", new { id = WebSecurity.CurrentUserId }, new { @Class = "btn btn-default" })
                |
                <input type="submit" value="Reply" class="btn btn-default" />
            </div>
        }

    </div>
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}



